# -*- mode: RPM-SPEC; tab-width: 8; fill-column: 70; -*- 

%define _altdata_dir %_datadir/alterator

Name: alterator-datetime
Version: 2.1
Release: alt2

%add_findreq_skiplist %_datadir/install2/postinstall.d/*

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch:	noarch

Source:%name-%version.tar

Summary: alterator module for date/time setup
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 4.7-alt1 alterator-sh-functions >= 0.6-alt5
Requires: alterator-l10n >= 1.5-alt5
Requires: ntp-server glibc-timezones
Conflicts: alterator-browser-qt < 2.9.93
Conflicts: alterator-fbi < 5.6-alt3
Conflicts: alterator-lookout < 1.6-alt3
Conflicts: alterator-dhcp < 0.4-alt1

Provides: alterator-openntpd = %version
Obsoletes: alterator-openntpd

Provides: alterator-tzone = %version
Obsoletes: alterator-tzone

BuildPreReq: alterator >= 4.7-alt1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for date/time setup

%prep
%setup -q

%build
%make_build

%install
%makeinstall

%files
%_bindir/*
%_sysconfdir/alterator/*
%_datadir/alterator/applications/*
%_datadir/alterator/ui/*
%_alterator_backend3dir/*
%_datadir/install2/postinstall.d/*

%changelog
* Mon Apr 06 2009 Stanislav Ievlev <inger@altlinux.org> 2.1-alt2
- support ntp in postinstall.d script too

* Mon Apr 06 2009 Stanislav Ievlev <inger@altlinux.org> 2.1-alt1
- support both ntp and openntpd

* Tue Mar 31 2009 Stanislav Ievlev <inger@altlinux.org> 2.0-alt4
- more timezone defaults

* Thu Feb 12 2009 Stanislav Ievlev <inger@altlinux.org> 2.0-alt3
- fix installer interface

* Thu Feb 05 2009 Stanislav Ievlev <inger@altlinux.org> 2.0-alt2
- system version: fix popup size

* Mon Feb 02 2009 Stanislav Ievlev <inger@altlinux.org> 2.0-alt1
- full replacement of alterator-tzone

* Fri Jan 30 2009 Stanislav Ievlev <inger@altlinux.org> 1.0-alt3
- add support of alterator-dhcp

* Fri Jan 30 2009 Stanislav Ievlev <inger@altlinux.org> 1.0-alt2
- add special version (datetime + timezone) for control center

* Fri Jan 30 2009 Stanislav Ievlev <inger@altlinux.org> 1.0-alt1
- use help and translations directly from alterator-l10n
- use new form API

* Wed Nov 05 2008 Stanislav Ievlev <inger@altlinux.org> 0.9-alt1
- use form library

* Fri Oct 31 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt4
- fix help file

* Thu Oct 16 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt3
- backend: alterator_api_version=1
- remove /std/functions and with-translation
- little ui improvements
- use "value" attribute for datedit and timeedit.

* Mon Sep 15 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt2
- improve type error messages

* Fri Sep 12 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt1
- replace constraints with types

* Fri Aug 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt1
- update help (cas@)
- remove <h1> and <title>

* Fri Jun 27 2008 Stanislav Ievlev <inger@altlinux.org> 0.6-alt2
- html: use dateedit widget
- remove hardcoded design

* Fri Jun 27 2008 Stanislav Ievlev <inger@altlinux.org> 0.6-alt1
- html: use timeedit widget

* Mon Jun 23 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt5
- rename effect-init to init-effect

* Fri Jun 20 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt4
- fix requires
- invert disable logic in scm version

* Thu Jun 19 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt3
- use effect-disable

* Wed Jun 18 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2.1
- hotfix

* Wed Jun 18 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2
- remove pot-file
- use module.mak
- preliminary support for 'disable' effect

* Tue May 13 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- remove html-messages.mak
- join to common translation database
- use write_string_param

* Mon Apr 07 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt4
- fix obsoletes (#15245)

* Fri Apr 04 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- update help

* Thu Apr 03 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- replace alterator-openntpd

* Tue Mar 18 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- remove template-*

* Sat Jan 19 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- update to new help system

* Thu Oct 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt8
- fix preinstall script (was error exit code when ntpd is not installed on target system)

* Fri Oct 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt7
- Add Ukrainian translation to desktop file

* Thu Sep 20 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- Add installer hooks

* Mon Sep 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- overwrite both servers and pools

* Wed Aug 01 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4.1
- hotfix: reset qt clock value after save

* Wed Aug 01 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- move utc checkbox to tzone module

* Tue Jul 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- a separate step in installer now

* Fri Jun 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- fix menu translation

* Wed Jun 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- add desktop file
- use std woo-list/name+label function

* Fri Jun 08 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2.2
- another code from installer (ntp light)
- add ui
- add help

* Thu Jun 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2.1
- more translations

* Thu May 31 2007 Alexey Gladkov <legion@altlinux.ru> 0.1-alt2
- Fix: move scripts to the subdirectory.

* Fri May 25 2007 Alexey Gladkov <legion@altlinux.ru> 0.1-alt1
- Initial release
